package arzumify.polyenergy.api;

// Receives energy from EnergyProviders. Can be implemented by anything able to tick and receive energy!
public interface EnergyReceiver {
    /**
     * When called by a provider, indicates that the provider exists and is ready to have energy extracted from.
     * Do not attempt to call {@link EnergyProvider#extract(long, EnergyReceiver)} on any provider until this method is called.
     *
     * @param provider The provider that exists and is ready to provide energy to this receiver.
     */
    void ready(EnergyProvider provider);
}
